org.apache.cassandra.dht.tokenallocator

## Class TokenAllocatorFactory

- java.lang.Object
- - org.apache.cassandra.dht.tokenallocator.TokenAllocatorFactory

    public class TokenAllocatorFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TokenAllocatorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static TokenAllocator<java.net.InetAddress>` `createTokenAllocator(java.util.NavigableMap<Token,java.net.InetAddress> sortedTokens, org.apache.cassandra.dht.tokenallocator.ReplicationStrategy<java.net.InetAddress> strategy, IPartitioner partitioner)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenAllocatorFactory

    public TokenAllocatorFactory()

### Method Detail

#### createTokenAllocator

    public static TokenAllocator<java.net.InetAddress> createTokenAllocator(java.util.NavigableMap<Token,java.net.InetAddress> sortedTokens,
                                                                            org.apache.cassandra.dht.tokenallocator.ReplicationStrategy<java.net.InetAddress> strategy,
                                                                            IPartitioner partitioner)